<?xml version="1.0" encoding="utf-8"?>
<!--
  ~ Copyright © Ricki Hirner (bitfire web engineering).
  ~ All rights reserved. This program and the accompanying materials
  ~ are made available under the terms of the GNU Public License v3.0
  ~ which accompanies this distribution, and is available at
  ~ http://www.gnu.org/licenses/gpl.html
  -->

<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
            xmlns:app="http://schemas.android.com/apk/res-auto"
            xmlns:tools="http://schemas.android.com/tools"
            android:id="@+id/parent"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

    <LinearLayout android:orientation="vertical"
                  android:layout_width="match_parent"
                  android:layout_height="wrap_content"
                  android:padding="@dimen/activity_margin"
                  android:animateLayoutChanges="true">

        <TextView
            android:id="@+id/select_collections_hint"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="8dp"
            android:drawableLeft="@drawable/ic_touch_app_dark_compat"
            android:drawableStart="@drawable/ic_touch_app_dark_compat"
            android:drawablePadding="8dp"
            android:gravity="center_vertical"
            android:visibility="gone"
            android:text="@string/account_select_collections_hint"/>

        <androidx.cardview.widget.CardView
            android:id="@+id/carddav"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="8dp"
            android:visibility="gone"
            app:cardUseCompatPadding="true"
            app:cardElevation="8dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <androidx.appcompat.widget.Toolbar
                    android:id="@+id/carddav_menu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:theme="@style/toolbar_theme"
                    style="@style/toolbar_style"
                    app:navigationIcon="@drawable/ic_people_light"
                    app:title="@string/account_carddav"
                    android:elevation="2dp" tools:ignore="UnusedAttribute"/>

                <ProgressBar
                    android:id="@+id/carddav_refreshing"
                    style="@style/Widget.AppCompat.ProgressBar.Horizontal"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:indeterminate="true"/>

                <fr.insa_strasbourg.calsync.ui.widget.MaximizedListView
                    android:id="@+id/address_books"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:choiceMode="singleChoice"/>

            </LinearLayout>

        </androidx.cardview.widget.CardView>

        <androidx.cardview.widget.CardView
            android:id="@+id/caldav"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:cardUseCompatPadding="true"
            app:cardElevation="8dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <androidx.appcompat.widget.Toolbar
                    android:id="@+id/caldav_menu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:theme="@style/toolbar_theme"
                    style="@style/toolbar_style"
                    app:navigationIcon="@drawable/ic_event_light"
                    app:title="@string/account_caldav"
                    android:elevation="2dp" tools:ignore="UnusedAttribute"/>

                <ProgressBar
                    android:id="@+id/caldav_refreshing"
                    style="@style/Widget.AppCompat.ProgressBar.Horizontal"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:indeterminate="true"/>

                <fr.insa_strasbourg.calsync.ui.widget.MaximizedListView
                    android:id="@+id/calendars"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:choiceMode="multipleChoice"
                    android:descendantFocusability="beforeDescendants"/>

            </LinearLayout>

        </androidx.cardview.widget.CardView>

        <androidx.cardview.widget.CardView
            android:id="@+id/webcal"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:visibility="gone"
            app:cardUseCompatPadding="true"
            app:cardElevation="8dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <androidx.appcompat.widget.Toolbar
                    android:id="@+id/webcal_menu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:theme="@style/toolbar_theme"
                    style="@style/toolbar_style"
                    app:navigationIcon="@drawable/ic_event_light"
                    app:title="@string/account_webcal"
                    android:elevation="2dp" tools:ignore="UnusedAttribute"/>

                <fr.insa_strasbourg.calsync.ui.widget.MaximizedListView
                    android:id="@+id/webcals"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:choiceMode="multipleChoice"
                    android:descendantFocusability="beforeDescendants"/>

            </LinearLayout>

        </androidx.cardview.widget.CardView>

    </LinearLayout>
</ScrollView>
